This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
i2c nodered {solved} for now
#1
if i run nodered i2c fails

pi@openplotter:~ $ sudo i2cdetect -y 1
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f
00:          -- -- -- -- -- -- -- -- -- -- -- -- -- 
10: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
20: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
30: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
40: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
50: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
60: -- -- -- -- -- -- -- -- 68 -- -- -- -- -- -- -- 
70: -- -- -- -- -- -- 76 --                         
pi@openplotter:~ $ nodered
bash: nodered: command not found
pi@openplotter:~ $ node-red
11 Jan 18:20:51 - [info] 

Welcome to Node-RED
===================

11 Jan 18:20:51 - [info] Node-RED version: v0.17.5
11 Jan 18:20:51 - [info] Node.js  version: v6.12.3
11 Jan 18:20:51 - [info] Linux 4.9.35-v7+ arm LE
11 Jan 18:20:52 - [info] Loading palette nodes
11 Jan 18:20:57 - [info] Dashboard version 2.3.6 started at /ui
11 Jan 18:21:00 - [warn] ------------------------------------------------------
11 Jan 18:21:00 - [warn] [sensehat] Error: Can't find Sense HAT python libraries. Run sudo apt-get install sense-hat
11 Jan 18:21:00 - [warn] [freeboard] Error: Cannot find module 'express' (line:16)
11 Jan 18:21:00 - [warn] ------------------------------------------------------
11 Jan 18:21:00 - [info] Settings file  : /home/pi/.node-red/settings.js
11 Jan 18:21:00 - [info] User directory : /home/pi/.node-red
11 Jan 18:21:00 - [info] Flows file     : /home/pi/.node-red/flows_openplotter.json
11 Jan 18:21:00 - [info] Server now running at http://127.0.0.1:1880/
11 Jan 18:21:01 - [info] Starting flows
11 Jan 18:21:01 - [info] Started flows
11 Jan 18:21:01 - [info] [mqtt-broker:f0ab9bb0.9291e8] Connected to broker: mqtt://localhost:1883

^C11 Jan 18:21:17 - [info] Stopping flows
pi@openplotter:~ $ sudo i2cdetect -y 1
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f
00:          -- -- -- -- -- -- -- -- -- -- -- -- -- 
10: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
20: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
30: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
40: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
50: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
60: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
70: -- -- -- -- -- -- -- --                         
pi@openplotter:~ $ sudo i2cdetect -y 1
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f
00:          -- -- -- -- -- -- -- -- -- -- -- -- -- 
10: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
20: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
30: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
40: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
50: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
60: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
70: -- -- -- -- -- -- -- --
  Reply
#2
ok i deleted all of the flows and the prob. solved i hate losing so much work Sad
i will start to rebuild the flows and try to find the culprit they were all working before, but when i replaced them from the clipboard from a backup it started the error..
  Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)